<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id'])){
if(!empty($_POST['id'])){
$id = intval($_POST['id']);

$ticket = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,usr,th,new_u,closed FROM `".DB_PREFIX."_tickets_main` WHERE id='$id' LIMIT 1"));
if (empty($ticket['id'])) { wu_log_act(2, 'Пытался закрыть несуществующий тикет #'.wu_filter($_POST['id'])); exit('wu-error'); }

if ($ticket['usr'] !== $u_id) { wu_log_act(2, 'Пытался закрыть чужой тикет '.wu_filter($ticket['th'])); exit('wu-error'); }

if ($ticket['new_u'] == 1) { wu_log_act(1, 'Пытался закрыть тикет '.wu_filter($ticket['th']).' с непрочитанными сообщениями'); exit('0'); }

if ($ticket['closed'] == 1) { wu_log_act(1, 'Пытался закрыть закрытый тикет '.wu_filter($ticket['th'])); exit('2'); }

wu_log_act(0, 'Закрыл тикет '.wu_filter($ticket['th']));

mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_tickets_main` SET `closed` = '1' WHERE id = '$id' LIMIT 1");

exit('1');
} else { exit('wu-error'); }
} else { exit('wu-error'); }
?>